hxt-9.3.1.1: A collection of tools for processing XML with Haskell.

Portability | portable
Stability | experimental
Maintainer | Uwe Schmidt (uwe@fh-wedel.de)
Safe Haskell | None

Text.XML.HXT.Arrow.Binary

Description

De-/Serialisation arrows for XmlTrees and other arbitrary values with a Binary instance

Synopsis

- readBinaryValue :: Binary a => String -> IOStateArrow s b a
- writeBinaryValue :: Binary a => String -> IOStateArrow s a ()

# Documentation

readBinaryValue :: Binary a => String -> IOStateArrow s b aSource

writeBinaryValue :: Binary a => String -> IOStateArrow s a ()Source

Serialize a value, optionally compress it, and write it to a file. In case of an error, the error message is issued and the arrow fails